
Katello - Bug #23471

upstream subs should be sorted by name

05/01/2018 03:54 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Subscriptions   

Target version: Katello 3.14.0   

Difficulty: easy Fixed in Releases: Katello 3.14.0

Triaged: Yes Found in Releases: Katello 3.7.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/832
Description

The api  /katello/api/v2/organizations/1/upstream_subscriptions?attachable=true

returns subs that are not sorted by name, we should sort by name by default.

Related issues:

Has duplicate Katello - Bug #24308: Sort order different between Subscription... Closed

Associated revisions

Revision 430a4966 - 08/30/2019 07:48 PM - Justin Sherrill

Fixes #23471 - sort upstream subs by name

History

#1 - 05/02/2018 05:42 PM - Andrew Kofink

- translation missing: en.field_release set to 338

#2 - 06/29/2018 10:54 PM - Christine Fouant

Blocked by this RFE to candlepin https://bugzilla.redhat.com/show_bug.cgi?id=1596882

#3 - 08/03/2018 05:14 PM - Jonathon Turel

- Target version changed from Katello 3.7.0 to Katello Backlog

- Found in Releases Katello 3.7.0 added

#4 - 08/08/2018 06:01 PM - Jonathon Turel

- Has duplicate Bug #24308: Sort order different between Subscriptions and Add Subscriptions page added

#5 - 08/27/2019 05:49 PM - John Mitsch

- Difficulty set to easy

#6 - 08/28/2019 08:25 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Justin Sherrill

- Pull request https://github.com/Katello/katello/pull/8321 added

#7 - 08/30/2019 07:48 PM - The Foreman Bot

- Fixed in Releases Katello 3.14.0 added

#8 - 08/30/2019 08:01 PM - Justin Sherrill

- Status changed from Ready For Testing to Closed
https://bugzilla.redhat.com/show_bug.cgi?id=1596882


Applied in changeset katello|430a496689c6dc0124b389beea2fa7950bc01754.

#9 - 11/21/2019 02:22 PM - Jonathon Turel

- Target version changed from Katello Backlog to Katello 3.14.0
